Changeset 18214 for gsdl/trunk


Ignore:
Timestamp:
2008-12-16T15:52:32+13:00 (15 years ago)
Author:
mdewsnip
Message:

Removed --with-gdbm option and no longer checks for GDBM library existing, because we know we have it.

Location:
gsdl/trunk
Files:
8 edited

Legend:

Unmodified
Added
Removed
  • gsdl/trunk/build-src/configure

    r16594 r18214  
    310310
    311311ac_subdirs_all="$ac_subdirs_all packages"
    312 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PACKAGE VERSION USE_FASTCGI USE_LANGACTION USE_CORBA MICO_DIR USE_Z3950 USE_YAZ ENABLE_ACCENTFOLD USE_SQLITE LDFLAGS CFLAGS CC CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX AWK YACC build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB COMPAT32BITFLAGS MICO_VER CPP EGREP U ANSI2KNR ALLOCA LIBOBJS STATIC GDBM_LIBPATH GDBM_INCLUDE gsdlos MODULEDIRS subdirs LTLIBOBJS'
     312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PACKAGE VERSION USE_FASTCGI USE_LANGACTION USE_CORBA MICO_DIR USE_Z3950 USE_YAZ ENABLE_ACCENTFOLD USE_SQLITE LDFLAGS CFLAGS CC CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX AWK YACC build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB COMPAT32BITFLAGS MICO_VER CPP EGREP U ANSI2KNR ALLOCA LIBOBJS STATIC gsdlos MODULEDIRS subdirs LTLIBOBJS'
    313313ac_subst_files=''
    314314
     
    864864  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
    865865  --with-micodir          Use installed MICO directory
    866   --with-gdbm=dir         Use local gdbm library and headers
    867866  --with-dmalloc          use dmalloc, as in
    868867                          ftp://ftp.letters.com/src/dmalloc/dmalloc.tar.gz
     
    14071406
    14081407
    1409 
    1410 # Check whether --with-gdbm or --without-gdbm was given.
    1411 if test "${with_gdbm+set}" = set; then
    1412   withval="$with_gdbm"
    1413   gdbmdir=$withval
    1414 fi;
    1415 
    14161408# Check whether --enable-accentfold or --disable-accentfold was given.
    14171409if test "${enable_accentfold+set}" = set; then
     
    68136805
    68146806
    6815 
    6816 echo "$as_me:$LINENO: checking that the GDBM library is available" >&5
    6817 echo $ECHO_N "checking that the GDBM library is available... $ECHO_C" >&6
    6818 if test ! -z "$gdbmdir" ; then
    6819   # look in given directory for header file
    6820   if test -r $gdbmdir/include/gdbm.h ; then
    6821     GDBM_INCLUDE="-I$gdbmdir/include" ;
    6822   elif test -r $gdbmdir/gdbm.h ; then
    6823     GDBM_INCLUDE="-I$gdbmdir" ;
    6824   fi
    6825 
    6826   # look in given directory for library
    6827   if test -r $gdbmdir/libgdbm.a ; then
    6828     GDBM_LIBPATH="-L$gdbmdir" ;
    6829   elif test -r $gdbmdir/lib/libgdbm.a ; then
    6830     GDBM_LIBPATH="-L$gdbmdir/lib" ;
    6831   elif test -r $gdbmdir/.libs/libgdbm.a ; then
    6832     GDBM_LIBPATH="-L$gdbmdir/.libs" ;
    6833   fi
    6834 
    6835   if test ! -z "$GDBM_LIBPATH" -a ! -z "$GDBM_INCLUDE" ; then
    6836     echo "$as_me:$LINENO: result: $gdbmdir" >&5
    6837 echo "${ECHO_T}$gdbmdir" >&6 ;
    6838   else
    6839     echo "$as_me:$LINENO: result: can't find gdbm.h and libgdbm.a in $gdbmdir" >&5
    6840 echo "${ECHO_T}can't find gdbm.h and libgdbm.a in $gdbmdir" >&6;
    6841     echo "$as_me:$LINENO: checking looking for GDBM library in default locations" >&5
    6842 echo $ECHO_N "checking looking for GDBM library in default locations... $ECHO_C" >&6
    6843   fi
    6844 fi
    6845 
    6846 # look in default path and in /usr/local
    6847 if test -z "$GDBM_INCLUDE" ; then
    6848   # try in system directory
    6849 
    6850 cat >conftest.$ac_ext <<_ACEOF
    6851 /* confdefs.h.  */
    6852 _ACEOF
    6853 cat confdefs.h >>conftest.$ac_ext
    6854 cat >>conftest.$ac_ext <<_ACEOF
    6855 /* end confdefs.h.  */
    6856 #include <gdbm.h>
    6857 
    6858 int
    6859 main ()
    6860 {
    6861 
    6862   ;
    6863   return 0;
    6864 }
    6865 _ACEOF
    6866 rm -f conftest.$ac_objext
    6867 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    6868   (eval $ac_compile) 2>conftest.er1
    6869   ac_status=$?
    6870   grep -v '^ *+' conftest.er1 >conftest.err
    6871   rm -f conftest.er1
    6872   cat conftest.err >&5
    6873   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6874   (exit $ac_status); } &&
    6875      { ac_try='test -z "$ac_cxx_werror_flag"
    6876              || test ! -s conftest.err'
    6877   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6878   (eval $ac_try) 2>&5
    6879   ac_status=$?
    6880   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6881   (exit $ac_status); }; } &&
    6882      { ac_try='test -s conftest.$ac_objext'
    6883   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6884   (eval $ac_try) 2>&5
    6885   ac_status=$?
    6886   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6887   (exit $ac_status); }; }; then
    6888   success=yes
    6889 else
    6890   echo "$as_me: failed program was:" >&5
    6891 sed 's/^/| /' conftest.$ac_ext >&5
    6892 
    6893 success=no
    6894 
    6895 fi
    6896 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    6897 
    6898   if test $success = "no"; then
    6899 # last chance - look in /usr/local (eg FreeBSD)
    6900     GDBM_LIBPATH=-L/usr/local/lib
    6901     GDBM_INCLUDE=-I/usr/local/include
    6902     ac_save_CXXFLAGS="$CXXFLAGS"
    6903     ac_save_LIBS="$LIBS"
    6904       CXXFLAGS="$CXXFLAGS -I/usr/local/include"
    6905       LIBS="$LIBS -L/usr/local/lib -lgdbm"
    6906       cat >conftest.$ac_ext <<_ACEOF
    6907 /* confdefs.h.  */
    6908 _ACEOF
    6909 cat confdefs.h >>conftest.$ac_ext
    6910 cat >>conftest.$ac_ext <<_ACEOF
    6911 /* end confdefs.h.  */
    6912 #include <gdbm.h>
    6913 #include <stdio.h>
    6914 
    6915 int
    6916 main ()
    6917 {
    6918 printf("%s",gdbm_version);
    6919   ;
    6920   return 0;
    6921 }
    6922 _ACEOF
    6923 rm -f conftest.$ac_objext conftest$ac_exeext
    6924 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    6925   (eval $ac_link) 2>conftest.er1
    6926   ac_status=$?
    6927   grep -v '^ *+' conftest.er1 >conftest.err
    6928   rm -f conftest.er1
    6929   cat conftest.err >&5
    6930   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6931   (exit $ac_status); } &&
    6932      { ac_try='test -z "$ac_cxx_werror_flag"
    6933              || test ! -s conftest.err'
    6934   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6935   (eval $ac_try) 2>&5
    6936   ac_status=$?
    6937   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6938   (exit $ac_status); }; } &&
    6939      { ac_try='test -s conftest$ac_exeext'
    6940   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6941   (eval $ac_try) 2>&5
    6942   ac_status=$?
    6943   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6944   (exit $ac_status); }; }; then
    6945   success=/usr/local
    6946 else
    6947   echo "$as_me: failed program was:" >&5
    6948 sed 's/^/| /' conftest.$ac_ext >&5
    6949 
    6950 success=no
    6951 
    6952 fi
    6953 rm -f conftest.err conftest.$ac_objext \
    6954       conftest$ac_exeext conftest.$ac_ext
    6955       CXXFLAGS=$ac_save_CXXFLAGS
    6956       LIBS=$ac_save_LIBS
    6957   fi
    6958 
    6959   echo "$as_me:$LINENO: result: $success" >&5
    6960 echo "${ECHO_T}$success" >&6
    6961   if test $success = "no"; then
    6962   { { echo "$as_me:$LINENO: error: GDBM Library not available - cannot install" >&5
    6963 echo "$as_me: error: GDBM Library not available - cannot install" >&2;}
    6964    { (exit 1); exit 1; }; }
    6965   fi
    6966 fi
    6967 cat >>confdefs.h <<\_ACEOF
    6968 #define HAVE_LIBGDBM  1
    6969 _ACEOF
    6970 
    6971 
    6972 
    6973 
    6974 
    69756807echo "$as_me:$LINENO: checking that Perl 5 is available" >&5
    69766808echo $ECHO_N "checking that Perl 5 is available... $ECHO_C" >&6
     
    70096841echo "$as_me:$LINENO: checking \"whether STL library has known faults\"" >&5
    70106842echo $ECHO_N "checking \"whether STL library has known faults\"... $ECHO_C" >&6
     6843
    70116844
    70126845cat >conftest.$ac_ext <<_ACEOF
     
    81167949s,@LIBOBJS@,$LIBOBJS,;t t
    81177950s,@STATIC@,$STATIC,;t t
    8118 s,@GDBM_LIBPATH@,$GDBM_LIBPATH,;t t
    8119 s,@GDBM_INCLUDE@,$GDBM_INCLUDE,;t t
    81207951s,@gsdlos@,$gsdlos,;t t
    81217952s,@MODULEDIRS@,$MODULEDIRS,;t t
  • gsdl/trunk/build-src/configure.in

    r16594 r18214  
    5959AC_SUBST(USE_YAZ)
    6060dnl fi
    61 
    62 dnl
    63 dnl look for libgdbm if not in standard location
    64 dnl
    65 AC_ARG_WITH(gdbm, [  --with-gdbm=dir         Use local gdbm library and headers], gdbmdir=$withval)
    6661
    6762dnl
     
    249244dnl
    250245AC_LANG_CPLUSPLUS
    251 
    252 dnl
    253 dnl Check that the GDBM library is available
    254 dnl
    255 dnl check libgdbm manually, in case it's not in the standard location.
    256 
    257 AC_MSG_CHECKING(that the GDBM library is available)
    258 if test ! -z "$gdbmdir" ; then
    259   # look in given directory for header file
    260   if test -r $gdbmdir/include/gdbm.h ; then
    261     GDBM_INCLUDE="-I$gdbmdir/include" ;
    262   elif test -r $gdbmdir/gdbm.h ; then
    263     GDBM_INCLUDE="-I$gdbmdir" ;
    264   fi
    265 
    266   # look in given directory for library
    267   if test -r $gdbmdir/libgdbm.a ; then
    268     GDBM_LIBPATH="-L$gdbmdir" ;
    269   elif test -r $gdbmdir/lib/libgdbm.a ; then
    270     GDBM_LIBPATH="-L$gdbmdir/lib" ;
    271   elif test -r $gdbmdir/.libs/libgdbm.a ; then
    272     GDBM_LIBPATH="-L$gdbmdir/.libs" ;
    273   fi
    274 
    275   if test ! -z "$GDBM_LIBPATH" -a ! -z "$GDBM_INCLUDE" ; then
    276     AC_MSG_RESULT($gdbmdir) ;
    277   else
    278     AC_MSG_RESULT(can't find gdbm.h and libgdbm.a in $gdbmdir);
    279     AC_MSG_CHECKING(   looking for GDBM library in default locations)
    280   fi
    281 fi
    282 
    283 # look in default path and in /usr/local
    284 if test -z "$GDBM_INCLUDE" ; then
    285   # try in system directory
    286   AC_TRY_COMPILE(
    287   [#include <gdbm.h>
    288 ],
    289   [],
    290   success=yes,
    291   success=no
    292   )
    293 
    294   if test $success = "no"; then
    295 # last chance - look in /usr/local (eg FreeBSD)
    296     GDBM_LIBPATH=-L/usr/local/lib
    297     GDBM_INCLUDE=-I/usr/local/include
    298     ac_save_CXXFLAGS="$CXXFLAGS"
    299     ac_save_LIBS="$LIBS"
    300       CXXFLAGS="$CXXFLAGS -I/usr/local/include"
    301       LIBS="$LIBS -L/usr/local/lib -lgdbm"
    302       AC_TRY_LINK(
    303     [#include <gdbm.h>
    304 #include <stdio.h>
    305     ],
    306     [printf("%s",gdbm_version);],
    307     success=/usr/local,
    308     success=no
    309       )
    310       CXXFLAGS=$ac_save_CXXFLAGS
    311       LIBS=$ac_save_LIBS
    312   fi
    313 
    314   AC_MSG_RESULT($success)
    315   if test $success = "no"; then
    316   AC_MSG_ERROR(GDBM Library not available - cannot install)
    317   fi
    318 fi
    319 dnl I don't think anything actually checks this define, but...
    320 AC_DEFINE(HAVE_LIBGDBM , 1)
    321 
    322 AC_SUBST(GDBM_LIBPATH)
    323 AC_SUBST(GDBM_INCLUDE)
    324246
    325247dnl
  • gsdl/trunk/common-src/configure

    r16595 r18214  
    311311
    312312ac_subdirs_all="$ac_subdirs_all packages indexers"
    313 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PACKAGE VERSION USE_FASTCGI USE_LANGACTION USE_CORBA MICO_DIR USE_Z3950 USE_YAZ ENABLE_ACCENTFOLD USE_SQLITE LDFLAGS CFLAGS CC CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX AWK YACC build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB COMPAT32BITFLAGS MICO_VER CPP EGREP U ANSI2KNR ALLOCA LIBOBJS STATIC GDBM_LIBPATH GDBM_INCLUDE gsdlos MODULEDIRS subdirs LTLIBOBJS'
     313ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PACKAGE VERSION USE_FASTCGI USE_LANGACTION USE_CORBA MICO_DIR USE_Z3950 USE_YAZ ENABLE_ACCENTFOLD USE_SQLITE LDFLAGS CFLAGS CC CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX AWK YACC build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB COMPAT32BITFLAGS MICO_VER CPP EGREP U ANSI2KNR ALLOCA LIBOBJS STATIC gsdlos MODULEDIRS subdirs LTLIBOBJS'
    314314ac_subst_files=''
    315315
     
    865865  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
    866866  --with-micodir          Use installed MICO directory
    867   --with-gdbm=dir         Use local gdbm library and headers
    868867  --with-dmalloc          use dmalloc, as in
    869868                          ftp://ftp.letters.com/src/dmalloc/dmalloc.tar.gz
     
    14101409
    14111410
    1412 
    1413 # Check whether --with-gdbm or --without-gdbm was given.
    1414 if test "${with_gdbm+set}" = set; then
    1415   withval="$with_gdbm"
    1416   gdbmdir=$withval
    1417 fi;
    1418 
    14191411# Check whether --enable-accentfold or --disable-accentfold was given.
    14201412if test "${enable_accentfold+set}" = set; then
     
    68166808
    68176809
    6818 
    6819 echo "$as_me:$LINENO: checking that the GDBM library is available" >&5
    6820 echo $ECHO_N "checking that the GDBM library is available... $ECHO_C" >&6
    6821 if test ! -z "$gdbmdir" ; then
    6822   # look in given directory for header file
    6823   if test -r $gdbmdir/include/gdbm.h ; then
    6824     GDBM_INCLUDE="-I$gdbmdir/include" ;
    6825   elif test -r $gdbmdir/gdbm.h ; then
    6826     GDBM_INCLUDE="-I$gdbmdir" ;
    6827   fi
    6828 
    6829   # look in given directory for library
    6830   if test -r $gdbmdir/libgdbm.a ; then
    6831     GDBM_LIBPATH="-L$gdbmdir" ;
    6832   elif test -r $gdbmdir/lib/libgdbm.a ; then
    6833     GDBM_LIBPATH="-L$gdbmdir/lib" ;
    6834   elif test -r $gdbmdir/.libs/libgdbm.a ; then
    6835     GDBM_LIBPATH="-L$gdbmdir/.libs" ;
    6836   fi
    6837 
    6838   if test ! -z "$GDBM_LIBPATH" -a ! -z "$GDBM_INCLUDE" ; then
    6839     echo "$as_me:$LINENO: result: $gdbmdir" >&5
    6840 echo "${ECHO_T}$gdbmdir" >&6 ;
    6841   else
    6842     echo "$as_me:$LINENO: result: can't find gdbm.h and libgdbm.a in $gdbmdir" >&5
    6843 echo "${ECHO_T}can't find gdbm.h and libgdbm.a in $gdbmdir" >&6;
    6844     echo "$as_me:$LINENO: checking looking for GDBM library in default locations" >&5
    6845 echo $ECHO_N "checking looking for GDBM library in default locations... $ECHO_C" >&6
    6846   fi
    6847 fi
    6848 
    6849 # look in default path and in /usr/local
    6850 if test -z "$GDBM_INCLUDE" ; then
    6851   # try in system directory
    6852 
    6853 cat >conftest.$ac_ext <<_ACEOF
    6854 /* confdefs.h.  */
    6855 _ACEOF
    6856 cat confdefs.h >>conftest.$ac_ext
    6857 cat >>conftest.$ac_ext <<_ACEOF
    6858 /* end confdefs.h.  */
    6859 #include <gdbm.h>
    6860 
    6861 int
    6862 main ()
    6863 {
    6864 
    6865   ;
    6866   return 0;
    6867 }
    6868 _ACEOF
    6869 rm -f conftest.$ac_objext
    6870 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    6871   (eval $ac_compile) 2>conftest.er1
    6872   ac_status=$?
    6873   grep -v '^ *+' conftest.er1 >conftest.err
    6874   rm -f conftest.er1
    6875   cat conftest.err >&5
    6876   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6877   (exit $ac_status); } &&
    6878      { ac_try='test -z "$ac_cxx_werror_flag"
    6879              || test ! -s conftest.err'
    6880   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6881   (eval $ac_try) 2>&5
    6882   ac_status=$?
    6883   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6884   (exit $ac_status); }; } &&
    6885      { ac_try='test -s conftest.$ac_objext'
    6886   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6887   (eval $ac_try) 2>&5
    6888   ac_status=$?
    6889   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6890   (exit $ac_status); }; }; then
    6891   success=yes
    6892 else
    6893   echo "$as_me: failed program was:" >&5
    6894 sed 's/^/| /' conftest.$ac_ext >&5
    6895 
    6896 success=no
    6897 
    6898 fi
    6899 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    6900 
    6901   if test $success = "no"; then
    6902 # last chance - look in /usr/local (eg FreeBSD)
    6903     GDBM_LIBPATH=-L/usr/local/lib
    6904     GDBM_INCLUDE=-I/usr/local/include
    6905     ac_save_CXXFLAGS="$CXXFLAGS"
    6906     ac_save_LIBS="$LIBS"
    6907       CXXFLAGS="$CXXFLAGS -I/usr/local/include"
    6908       LIBS="$LIBS -L/usr/local/lib -lgdbm"
    6909       cat >conftest.$ac_ext <<_ACEOF
    6910 /* confdefs.h.  */
    6911 _ACEOF
    6912 cat confdefs.h >>conftest.$ac_ext
    6913 cat >>conftest.$ac_ext <<_ACEOF
    6914 /* end confdefs.h.  */
    6915 #include <gdbm.h>
    6916 #include <stdio.h>
    6917 
    6918 int
    6919 main ()
    6920 {
    6921 printf("%s",gdbm_version);
    6922   ;
    6923   return 0;
    6924 }
    6925 _ACEOF
    6926 rm -f conftest.$ac_objext conftest$ac_exeext
    6927 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    6928   (eval $ac_link) 2>conftest.er1
    6929   ac_status=$?
    6930   grep -v '^ *+' conftest.er1 >conftest.err
    6931   rm -f conftest.er1
    6932   cat conftest.err >&5
    6933   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6934   (exit $ac_status); } &&
    6935      { ac_try='test -z "$ac_cxx_werror_flag"
    6936              || test ! -s conftest.err'
    6937   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6938   (eval $ac_try) 2>&5
    6939   ac_status=$?
    6940   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6941   (exit $ac_status); }; } &&
    6942      { ac_try='test -s conftest$ac_exeext'
    6943   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6944   (eval $ac_try) 2>&5
    6945   ac_status=$?
    6946   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6947   (exit $ac_status); }; }; then
    6948   success=/usr/local
    6949 else
    6950   echo "$as_me: failed program was:" >&5
    6951 sed 's/^/| /' conftest.$ac_ext >&5
    6952 
    6953 success=no
    6954 
    6955 fi
    6956 rm -f conftest.err conftest.$ac_objext \
    6957       conftest$ac_exeext conftest.$ac_ext
    6958       CXXFLAGS=$ac_save_CXXFLAGS
    6959       LIBS=$ac_save_LIBS
    6960   fi
    6961 
    6962   echo "$as_me:$LINENO: result: $success" >&5
    6963 echo "${ECHO_T}$success" >&6
    6964   if test $success = "no"; then
    6965   { { echo "$as_me:$LINENO: error: GDBM Library not available - cannot install" >&5
    6966 echo "$as_me: error: GDBM Library not available - cannot install" >&2;}
    6967    { (exit 1); exit 1; }; }
    6968   fi
    6969 fi
    6970 cat >>confdefs.h <<\_ACEOF
    6971 #define HAVE_LIBGDBM  1
    6972 _ACEOF
    6973 
    6974 
    6975 
    6976 
    6977 
    69786810success=no
    69796811echo "$as_me:$LINENO: checking \"whether STL library has known faults\"" >&5
    69806812echo $ECHO_N "checking \"whether STL library has known faults\"... $ECHO_C" >&6
     6813
    69816814
    69826815cat >conftest.$ac_ext <<_ACEOF
     
    80927925s,@LIBOBJS@,$LIBOBJS,;t t
    80937926s,@STATIC@,$STATIC,;t t
    8094 s,@GDBM_LIBPATH@,$GDBM_LIBPATH,;t t
    8095 s,@GDBM_INCLUDE@,$GDBM_INCLUDE,;t t
    80967927s,@gsdlos@,$gsdlos,;t t
    80977928s,@MODULEDIRS@,$MODULEDIRS,;t t
  • gsdl/trunk/common-src/configure.in

    r16595 r18214  
    6161AC_SUBST(USE_YAZ)
    6262dnl fi
    63 
    64 dnl
    65 dnl look for libgdbm if not in standard location
    66 dnl
    67 AC_ARG_WITH(gdbm, [  --with-gdbm=dir         Use local gdbm library and headers], gdbmdir=$withval)
    6863
    6964dnl
     
    251246dnl
    252247AC_LANG_CPLUSPLUS
    253 
    254 dnl
    255 dnl Check that the GDBM library is available
    256 dnl
    257 dnl check libgdbm manually, in case it's not in the standard location.
    258 
    259 AC_MSG_CHECKING(that the GDBM library is available)
    260 if test ! -z "$gdbmdir" ; then
    261   # look in given directory for header file
    262   if test -r $gdbmdir/include/gdbm.h ; then
    263     GDBM_INCLUDE="-I$gdbmdir/include" ;
    264   elif test -r $gdbmdir/gdbm.h ; then
    265     GDBM_INCLUDE="-I$gdbmdir" ;
    266   fi
    267 
    268   # look in given directory for library
    269   if test -r $gdbmdir/libgdbm.a ; then
    270     GDBM_LIBPATH="-L$gdbmdir" ;
    271   elif test -r $gdbmdir/lib/libgdbm.a ; then
    272     GDBM_LIBPATH="-L$gdbmdir/lib" ;
    273   elif test -r $gdbmdir/.libs/libgdbm.a ; then
    274     GDBM_LIBPATH="-L$gdbmdir/.libs" ;
    275   fi
    276 
    277   if test ! -z "$GDBM_LIBPATH" -a ! -z "$GDBM_INCLUDE" ; then
    278     AC_MSG_RESULT($gdbmdir) ;
    279   else
    280     AC_MSG_RESULT(can't find gdbm.h and libgdbm.a in $gdbmdir);
    281     AC_MSG_CHECKING(   looking for GDBM library in default locations)
    282   fi
    283 fi
    284 
    285 # look in default path and in /usr/local
    286 if test -z "$GDBM_INCLUDE" ; then
    287   # try in system directory
    288   AC_TRY_COMPILE(
    289   [#include <gdbm.h>
    290 ],
    291   [],
    292   success=yes,
    293   success=no
    294   )
    295 
    296   if test $success = "no"; then
    297 # last chance - look in /usr/local (eg FreeBSD)
    298     GDBM_LIBPATH=-L/usr/local/lib
    299     GDBM_INCLUDE=-I/usr/local/include
    300     ac_save_CXXFLAGS="$CXXFLAGS"
    301     ac_save_LIBS="$LIBS"
    302       CXXFLAGS="$CXXFLAGS -I/usr/local/include"
    303       LIBS="$LIBS -L/usr/local/lib -lgdbm"
    304       AC_TRY_LINK(
    305     [#include <gdbm.h>
    306 #include <stdio.h>
    307     ],
    308     [printf("%s",gdbm_version);],
    309     success=/usr/local,
    310     success=no
    311       )
    312       CXXFLAGS=$ac_save_CXXFLAGS
    313       LIBS=$ac_save_LIBS
    314   fi
    315 
    316   AC_MSG_RESULT($success)
    317   if test $success = "no"; then
    318   AC_MSG_ERROR(GDBM Library not available - cannot install)
    319   fi
    320 fi
    321 dnl I don't think anything actually checks this define, but...
    322 AC_DEFINE(HAVE_LIBGDBM , 1)
    323 
    324 AC_SUBST(GDBM_LIBPATH)
    325 AC_SUBST(GDBM_INCLUDE)
    326248
    327249dnl
  • gsdl/trunk/configure

    r16619 r18214  
    310310
    311311ac_subdirs_all="$ac_subdirs_all common-src build-src runtime-src"
    312 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PACKAGE VERSION USE_FASTCGI USE_LANGACTION USE_CORBA MICO_DIR USE_Z3950 USE_YAZ ENABLE_ACCENTFOLD USE_SQLITE LDFLAGS CFLAGS CC CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX AWK YACC build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB COMPAT32BITFLAGS MICO_VER CPP EGREP U ANSI2KNR ALLOCA LIBOBJS STATIC GDBM_LIBPATH GDBM_INCLUDE gsdlos MODULEDIRS subdirs LTLIBOBJS'
     312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PACKAGE VERSION USE_FASTCGI USE_LANGACTION USE_CORBA MICO_DIR USE_Z3950 USE_YAZ ENABLE_ACCENTFOLD USE_SQLITE LDFLAGS CFLAGS CC CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX AWK YACC build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB COMPAT32BITFLAGS MICO_VER CPP EGREP U ANSI2KNR ALLOCA LIBOBJS STATIC gsdlos MODULEDIRS subdirs LTLIBOBJS'
    313313ac_subst_files=''
    314314
     
    864864  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
    865865  --with-micodir          Use installed MICO directory
    866   --with-gdbm=dir         Use local gdbm library and headers
    867866  --with-dmalloc          use dmalloc, as in
    868867                          ftp://ftp.letters.com/src/dmalloc/dmalloc.tar.gz
     
    14061405
    14071406
    1408 
    1409 # Check whether --with-gdbm or --without-gdbm was given.
    1410 if test "${with_gdbm+set}" = set; then
    1411   withval="$with_gdbm"
    1412   gdbmdir=$withval
    1413 fi;
    1414 
    14151407# Check whether --enable-accentfold or --disable-accentfold was given.
    14161408if test "${enable_accentfold+set}" = set; then
     
    68126804
    68136805
    6814 
    6815 echo "$as_me:$LINENO: checking that the GDBM library is available" >&5
    6816 echo $ECHO_N "checking that the GDBM library is available... $ECHO_C" >&6
    6817 if test ! -z "$gdbmdir" ; then
    6818   # look in given directory for header file
    6819   if test -r $gdbmdir/include/gdbm.h ; then
    6820     GDBM_INCLUDE="-I$gdbmdir/include" ;
    6821   elif test -r $gdbmdir/gdbm.h ; then
    6822     GDBM_INCLUDE="-I$gdbmdir" ;
    6823   fi
    6824 
    6825   # look in given directory for library
    6826   if test -r $gdbmdir/libgdbm.a ; then
    6827     GDBM_LIBPATH="-L$gdbmdir" ;
    6828   elif test -r $gdbmdir/lib/libgdbm.a ; then
    6829     GDBM_LIBPATH="-L$gdbmdir/lib" ;
    6830   elif test -r $gdbmdir/.libs/libgdbm.a ; then
    6831     GDBM_LIBPATH="-L$gdbmdir/.libs" ;
    6832   fi
    6833 
    6834   if test ! -z "$GDBM_LIBPATH" -a ! -z "$GDBM_INCLUDE" ; then
    6835     echo "$as_me:$LINENO: result: $gdbmdir" >&5
    6836 echo "${ECHO_T}$gdbmdir" >&6 ;
    6837   else
    6838     echo "$as_me:$LINENO: result: can't find gdbm.h and libgdbm.a in $gdbmdir" >&5
    6839 echo "${ECHO_T}can't find gdbm.h and libgdbm.a in $gdbmdir" >&6;
    6840     echo "$as_me:$LINENO: checking looking for GDBM library in default locations" >&5
    6841 echo $ECHO_N "checking looking for GDBM library in default locations... $ECHO_C" >&6
    6842   fi
    6843 fi
    6844 
    6845 # look in default path and in /usr/local
    6846 if test -z "$GDBM_INCLUDE" ; then
    6847   # try in system directory
    6848 
    6849 cat >conftest.$ac_ext <<_ACEOF
    6850 /* confdefs.h.  */
    6851 _ACEOF
    6852 cat confdefs.h >>conftest.$ac_ext
    6853 cat >>conftest.$ac_ext <<_ACEOF
    6854 /* end confdefs.h.  */
    6855 #include <gdbm.h>
    6856 
    6857 int
    6858 main ()
    6859 {
    6860 
    6861   ;
    6862   return 0;
    6863 }
    6864 _ACEOF
    6865 rm -f conftest.$ac_objext
    6866 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    6867   (eval $ac_compile) 2>conftest.er1
    6868   ac_status=$?
    6869   grep -v '^ *+' conftest.er1 >conftest.err
    6870   rm -f conftest.er1
    6871   cat conftest.err >&5
    6872   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6873   (exit $ac_status); } &&
    6874      { ac_try='test -z "$ac_cxx_werror_flag"
    6875              || test ! -s conftest.err'
    6876   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6877   (eval $ac_try) 2>&5
    6878   ac_status=$?
    6879   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6880   (exit $ac_status); }; } &&
    6881      { ac_try='test -s conftest.$ac_objext'
    6882   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6883   (eval $ac_try) 2>&5
    6884   ac_status=$?
    6885   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6886   (exit $ac_status); }; }; then
    6887   success=yes
    6888 else
    6889   echo "$as_me: failed program was:" >&5
    6890 sed 's/^/| /' conftest.$ac_ext >&5
    6891 
    6892 success=no
    6893 
    6894 fi
    6895 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    6896 
    6897   if test $success = "no"; then
    6898 # last chance - look in /usr/local (eg FreeBSD)
    6899     GDBM_LIBPATH=-L/usr/local/lib
    6900     GDBM_INCLUDE=-I/usr/local/include
    6901     ac_save_CXXFLAGS="$CXXFLAGS"
    6902     ac_save_LIBS="$LIBS"
    6903       CXXFLAGS="$CXXFLAGS -I/usr/local/include"
    6904       LIBS="$LIBS -L/usr/local/lib -lgdbm"
    6905       cat >conftest.$ac_ext <<_ACEOF
    6906 /* confdefs.h.  */
    6907 _ACEOF
    6908 cat confdefs.h >>conftest.$ac_ext
    6909 cat >>conftest.$ac_ext <<_ACEOF
    6910 /* end confdefs.h.  */
    6911 #include <gdbm.h>
    6912 #include <stdio.h>
    6913 
    6914 int
    6915 main ()
    6916 {
    6917 printf("%s",gdbm_version);
    6918   ;
    6919   return 0;
    6920 }
    6921 _ACEOF
    6922 rm -f conftest.$ac_objext conftest$ac_exeext
    6923 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    6924   (eval $ac_link) 2>conftest.er1
    6925   ac_status=$?
    6926   grep -v '^ *+' conftest.er1 >conftest.err
    6927   rm -f conftest.er1
    6928   cat conftest.err >&5
    6929   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6930   (exit $ac_status); } &&
    6931      { ac_try='test -z "$ac_cxx_werror_flag"
    6932              || test ! -s conftest.err'
    6933   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6934   (eval $ac_try) 2>&5
    6935   ac_status=$?
    6936   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6937   (exit $ac_status); }; } &&
    6938      { ac_try='test -s conftest$ac_exeext'
    6939   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6940   (eval $ac_try) 2>&5
    6941   ac_status=$?
    6942   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6943   (exit $ac_status); }; }; then
    6944   success=/usr/local
    6945 else
    6946   echo "$as_me: failed program was:" >&5
    6947 sed 's/^/| /' conftest.$ac_ext >&5
    6948 
    6949 success=no
    6950 
    6951 fi
    6952 rm -f conftest.err conftest.$ac_objext \
    6953       conftest$ac_exeext conftest.$ac_ext
    6954       CXXFLAGS=$ac_save_CXXFLAGS
    6955       LIBS=$ac_save_LIBS
    6956   fi
    6957 
    6958   echo "$as_me:$LINENO: result: $success" >&5
    6959 echo "${ECHO_T}$success" >&6
    6960   if test $success = "no"; then
    6961   { { echo "$as_me:$LINENO: error: GDBM Library not available - cannot install" >&5
    6962 echo "$as_me: error: GDBM Library not available - cannot install" >&2;}
    6963    { (exit 1); exit 1; }; }
    6964   fi
    6965 fi
    6966 cat >>confdefs.h <<\_ACEOF
    6967 #define HAVE_LIBGDBM  1
    6968 _ACEOF
    6969 
    6970 
    6971 
    6972 
    6973 
    69746806echo "$as_me:$LINENO: checking that Perl 5 is available" >&5
    69756807echo $ECHO_N "checking that Perl 5 is available... $ECHO_C" >&6
     
    70086840echo "$as_me:$LINENO: checking \"whether STL library has known faults\"" >&5
    70096841echo $ECHO_N "checking \"whether STL library has known faults\"... $ECHO_C" >&6
     6842
    70106843
    70116844cat >conftest.$ac_ext <<_ACEOF
     
    81197952s,@LIBOBJS@,$LIBOBJS,;t t
    81207953s,@STATIC@,$STATIC,;t t
    8121 s,@GDBM_LIBPATH@,$GDBM_LIBPATH,;t t
    8122 s,@GDBM_INCLUDE@,$GDBM_INCLUDE,;t t
    81237954s,@gsdlos@,$gsdlos,;t t
    81247955s,@MODULEDIRS@,$MODULEDIRS,;t t
  • gsdl/trunk/configure.in

    r16619 r18214  
    5858AC_SUBST(USE_YAZ)
    5959dnl fi
    60 
    61 dnl
    62 dnl look for libgdbm if not in standard location
    63 dnl
    64 AC_ARG_WITH(gdbm, [  --with-gdbm=dir         Use local gdbm library and headers], gdbmdir=$withval)
    6560
    6661dnl
     
    248243dnl
    249244AC_LANG_CPLUSPLUS
    250 
    251 dnl
    252 dnl Check that the GDBM library is available
    253 dnl
    254 dnl check libgdbm manually, in case it's not in the standard location.
    255 
    256 AC_MSG_CHECKING(that the GDBM library is available)
    257 if test ! -z "$gdbmdir" ; then
    258   # look in given directory for header file
    259   if test -r $gdbmdir/include/gdbm.h ; then
    260     GDBM_INCLUDE="-I$gdbmdir/include" ;
    261   elif test -r $gdbmdir/gdbm.h ; then
    262     GDBM_INCLUDE="-I$gdbmdir" ;
    263   fi
    264 
    265   # look in given directory for library
    266   if test -r $gdbmdir/libgdbm.a ; then
    267     GDBM_LIBPATH="-L$gdbmdir" ;
    268   elif test -r $gdbmdir/lib/libgdbm.a ; then
    269     GDBM_LIBPATH="-L$gdbmdir/lib" ;
    270   elif test -r $gdbmdir/.libs/libgdbm.a ; then
    271     GDBM_LIBPATH="-L$gdbmdir/.libs" ;
    272   fi
    273 
    274   if test ! -z "$GDBM_LIBPATH" -a ! -z "$GDBM_INCLUDE" ; then
    275     AC_MSG_RESULT($gdbmdir) ;
    276   else
    277     AC_MSG_RESULT(can't find gdbm.h and libgdbm.a in $gdbmdir);
    278     AC_MSG_CHECKING(   looking for GDBM library in default locations)
    279   fi
    280 fi
    281 
    282 # look in default path and in /usr/local
    283 if test -z "$GDBM_INCLUDE" ; then
    284   # try in system directory
    285   AC_TRY_COMPILE(
    286   [#include <gdbm.h>
    287 ],
    288   [],
    289   success=yes,
    290   success=no
    291   )
    292 
    293   if test $success = "no"; then
    294 # last chance - look in /usr/local (eg FreeBSD)
    295     GDBM_LIBPATH=-L/usr/local/lib
    296     GDBM_INCLUDE=-I/usr/local/include
    297     ac_save_CXXFLAGS="$CXXFLAGS"
    298     ac_save_LIBS="$LIBS"
    299       CXXFLAGS="$CXXFLAGS -I/usr/local/include"
    300       LIBS="$LIBS -L/usr/local/lib -lgdbm"
    301       AC_TRY_LINK(
    302     [#include <gdbm.h>
    303 #include <stdio.h>
    304     ],
    305     [printf("%s",gdbm_version);],
    306     success=/usr/local,
    307     success=no
    308       )
    309       CXXFLAGS=$ac_save_CXXFLAGS
    310       LIBS=$ac_save_LIBS
    311   fi
    312 
    313   AC_MSG_RESULT($success)
    314   if test $success = "no"; then
    315   AC_MSG_ERROR(GDBM Library not available - cannot install)
    316   fi
    317 fi
    318 dnl I don't think anything actually checks this define, but...
    319 AC_DEFINE(HAVE_LIBGDBM , 1)
    320 
    321 AC_SUBST(GDBM_LIBPATH)
    322 AC_SUBST(GDBM_INCLUDE)
    323245
    324246dnl
  • gsdl/trunk/runtime-src/configure

    r16572 r18214  
    310310
    311311ac_subdirs_all="$ac_subdirs_all packages"
    312 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PACKAGE VERSION USE_FASTCGI USE_LANGACTION USE_CORBA MICO_DIR USE_Z3950 USE_YAZ ENABLE_ACCENTFOLD USE_SQLITE LDFLAGS CFLAGS CC CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX AWK YACC build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB COMPAT32BITFLAGS MICO_VER CPP EGREP U ANSI2KNR ALLOCA LIBOBJS STATIC GDBM_LIBPATH GDBM_INCLUDE gsdlos MODULEDIRS subdirs LTLIBOBJS'
     312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PACKAGE VERSION USE_FASTCGI USE_LANGACTION USE_CORBA MICO_DIR USE_Z3950 USE_YAZ ENABLE_ACCENTFOLD USE_SQLITE LDFLAGS CFLAGS CC CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX AWK YACC build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB COMPAT32BITFLAGS MICO_VER CPP EGREP U ANSI2KNR ALLOCA LIBOBJS STATIC gsdlos MODULEDIRS subdirs LTLIBOBJS'
    313313ac_subst_files=''
    314314
     
    864864  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
    865865  --with-micodir          Use installed MICO directory
    866   --with-gdbm=dir         Use local gdbm library and headers
    867866  --with-dmalloc          use dmalloc, as in
    868867                          ftp://ftp.letters.com/src/dmalloc/dmalloc.tar.gz
     
    14081407
    14091408
    1410 
    1411 # Check whether --with-gdbm or --without-gdbm was given.
    1412 if test "${with_gdbm+set}" = set; then
    1413   withval="$with_gdbm"
    1414   gdbmdir=$withval
    1415 fi;
    1416 
    14171409# Check whether --enable-accentfold or --disable-accentfold was given.
    14181410if test "${enable_accentfold+set}" = set; then
     
    68146806
    68156807
    6816 
    6817 echo "$as_me:$LINENO: checking that the GDBM library is available" >&5
    6818 echo $ECHO_N "checking that the GDBM library is available... $ECHO_C" >&6
    6819 if test ! -z "$gdbmdir" ; then
    6820   # look in given directory for header file
    6821   if test -r $gdbmdir/include/gdbm.h ; then
    6822     GDBM_INCLUDE="-I$gdbmdir/include" ;
    6823   elif test -r $gdbmdir/gdbm.h ; then
    6824     GDBM_INCLUDE="-I$gdbmdir" ;
    6825   fi
    6826 
    6827   # look in given directory for library
    6828   if test -r $gdbmdir/libgdbm.a ; then
    6829     GDBM_LIBPATH="-L$gdbmdir" ;
    6830   elif test -r $gdbmdir/lib/libgdbm.a ; then
    6831     GDBM_LIBPATH="-L$gdbmdir/lib" ;
    6832   elif test -r $gdbmdir/.libs/libgdbm.a ; then
    6833     GDBM_LIBPATH="-L$gdbmdir/.libs" ;
    6834   fi
    6835 
    6836   if test ! -z "$GDBM_LIBPATH" -a ! -z "$GDBM_INCLUDE" ; then
    6837     echo "$as_me:$LINENO: result: $gdbmdir" >&5
    6838 echo "${ECHO_T}$gdbmdir" >&6 ;
    6839   else
    6840     echo "$as_me:$LINENO: result: can't find gdbm.h and libgdbm.a in $gdbmdir" >&5
    6841 echo "${ECHO_T}can't find gdbm.h and libgdbm.a in $gdbmdir" >&6;
    6842     echo "$as_me:$LINENO: checking looking for GDBM library in default locations" >&5
    6843 echo $ECHO_N "checking looking for GDBM library in default locations... $ECHO_C" >&6
    6844   fi
    6845 fi
    6846 
    6847 # look in default path and in /usr/local
    6848 if test -z "$GDBM_INCLUDE" ; then
    6849   # try in system directory
    6850 
    6851 cat >conftest.$ac_ext <<_ACEOF
    6852 /* confdefs.h.  */
    6853 _ACEOF
    6854 cat confdefs.h >>conftest.$ac_ext
    6855 cat >>conftest.$ac_ext <<_ACEOF
    6856 /* end confdefs.h.  */
    6857 #include <gdbm.h>
    6858 
    6859 int
    6860 main ()
    6861 {
    6862 
    6863   ;
    6864   return 0;
    6865 }
    6866 _ACEOF
    6867 rm -f conftest.$ac_objext
    6868 if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    6869   (eval $ac_compile) 2>conftest.er1
    6870   ac_status=$?
    6871   grep -v '^ *+' conftest.er1 >conftest.err
    6872   rm -f conftest.er1
    6873   cat conftest.err >&5
    6874   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6875   (exit $ac_status); } &&
    6876      { ac_try='test -z "$ac_cxx_werror_flag"
    6877              || test ! -s conftest.err'
    6878   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6879   (eval $ac_try) 2>&5
    6880   ac_status=$?
    6881   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6882   (exit $ac_status); }; } &&
    6883      { ac_try='test -s conftest.$ac_objext'
    6884   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6885   (eval $ac_try) 2>&5
    6886   ac_status=$?
    6887   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6888   (exit $ac_status); }; }; then
    6889   success=yes
    6890 else
    6891   echo "$as_me: failed program was:" >&5
    6892 sed 's/^/| /' conftest.$ac_ext >&5
    6893 
    6894 success=no
    6895 
    6896 fi
    6897 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
    6898 
    6899   if test $success = "no"; then
    6900 # last chance - look in /usr/local (eg FreeBSD)
    6901     GDBM_LIBPATH=-L/usr/local/lib
    6902     GDBM_INCLUDE=-I/usr/local/include
    6903     ac_save_CXXFLAGS="$CXXFLAGS"
    6904     ac_save_LIBS="$LIBS"
    6905       CXXFLAGS="$CXXFLAGS -I/usr/local/include"
    6906       LIBS="$LIBS -L/usr/local/lib -lgdbm"
    6907       cat >conftest.$ac_ext <<_ACEOF
    6908 /* confdefs.h.  */
    6909 _ACEOF
    6910 cat confdefs.h >>conftest.$ac_ext
    6911 cat >>conftest.$ac_ext <<_ACEOF
    6912 /* end confdefs.h.  */
    6913 #include <gdbm.h>
    6914 #include <stdio.h>
    6915 
    6916 int
    6917 main ()
    6918 {
    6919 printf("%s",gdbm_version);
    6920   ;
    6921   return 0;
    6922 }
    6923 _ACEOF
    6924 rm -f conftest.$ac_objext conftest$ac_exeext
    6925 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    6926   (eval $ac_link) 2>conftest.er1
    6927   ac_status=$?
    6928   grep -v '^ *+' conftest.er1 >conftest.err
    6929   rm -f conftest.er1
    6930   cat conftest.err >&5
    6931   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6932   (exit $ac_status); } &&
    6933      { ac_try='test -z "$ac_cxx_werror_flag"
    6934              || test ! -s conftest.err'
    6935   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6936   (eval $ac_try) 2>&5
    6937   ac_status=$?
    6938   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6939   (exit $ac_status); }; } &&
    6940      { ac_try='test -s conftest$ac_exeext'
    6941   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    6942   (eval $ac_try) 2>&5
    6943   ac_status=$?
    6944   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    6945   (exit $ac_status); }; }; then
    6946   success=/usr/local
    6947 else
    6948   echo "$as_me: failed program was:" >&5
    6949 sed 's/^/| /' conftest.$ac_ext >&5
    6950 
    6951 success=no
    6952 
    6953 fi
    6954 rm -f conftest.err conftest.$ac_objext \
    6955       conftest$ac_exeext conftest.$ac_ext
    6956       CXXFLAGS=$ac_save_CXXFLAGS
    6957       LIBS=$ac_save_LIBS
    6958   fi
    6959 
    6960   echo "$as_me:$LINENO: result: $success" >&5
    6961 echo "${ECHO_T}$success" >&6
    6962   if test $success = "no"; then
    6963   { { echo "$as_me:$LINENO: error: GDBM Library not available - cannot install" >&5
    6964 echo "$as_me: error: GDBM Library not available - cannot install" >&2;}
    6965    { (exit 1); exit 1; }; }
    6966   fi
    6967 fi
    6968 cat >>confdefs.h <<\_ACEOF
    6969 #define HAVE_LIBGDBM  1
    6970 _ACEOF
    6971 
    6972 
    6973 
    6974 
    6975 
    69766808echo "$as_me:$LINENO: checking that Perl 5 is available" >&5
    69776809echo $ECHO_N "checking that Perl 5 is available... $ECHO_C" >&6
     
    69916823echo "$as_me:$LINENO: checking \"whether STL library has known faults\"" >&5
    69926824echo $ECHO_N "checking \"whether STL library has known faults\"... $ECHO_C" >&6
     6825
    69936826
    69946827cat >conftest.$ac_ext <<_ACEOF
     
    81027935s,@LIBOBJS@,$LIBOBJS,;t t
    81037936s,@STATIC@,$STATIC,;t t
    8104 s,@GDBM_LIBPATH@,$GDBM_LIBPATH,;t t
    8105 s,@GDBM_INCLUDE@,$GDBM_INCLUDE,;t t
    81067937s,@gsdlos@,$gsdlos,;t t
    81077938s,@MODULEDIRS@,$MODULEDIRS,;t t
  • gsdl/trunk/runtime-src/configure.in

    r16571 r18214  
    6060AC_SUBST(USE_YAZ)
    6161dnl fi
    62 
    63 dnl
    64 dnl look for libgdbm if not in standard location
    65 dnl
    66 AC_ARG_WITH(gdbm, [  --with-gdbm=dir         Use local gdbm library and headers], gdbmdir=$withval)
    6762
    6863dnl
     
    250245dnl
    251246AC_LANG_CPLUSPLUS
    252 
    253 dnl
    254 dnl Check that the GDBM library is available
    255 dnl
    256 dnl check libgdbm manually, in case it's not in the standard location.
    257 
    258 AC_MSG_CHECKING(that the GDBM library is available)
    259 if test ! -z "$gdbmdir" ; then
    260   # look in given directory for header file
    261   if test -r $gdbmdir/include/gdbm.h ; then
    262     GDBM_INCLUDE="-I$gdbmdir/include" ;
    263   elif test -r $gdbmdir/gdbm.h ; then
    264     GDBM_INCLUDE="-I$gdbmdir" ;
    265   fi
    266 
    267   # look in given directory for library
    268   if test -r $gdbmdir/libgdbm.a ; then
    269     GDBM_LIBPATH="-L$gdbmdir" ;
    270   elif test -r $gdbmdir/lib/libgdbm.a ; then
    271     GDBM_LIBPATH="-L$gdbmdir/lib" ;
    272   elif test -r $gdbmdir/.libs/libgdbm.a ; then
    273     GDBM_LIBPATH="-L$gdbmdir/.libs" ;
    274   fi
    275 
    276   if test ! -z "$GDBM_LIBPATH" -a ! -z "$GDBM_INCLUDE" ; then
    277     AC_MSG_RESULT($gdbmdir) ;
    278   else
    279     AC_MSG_RESULT(can't find gdbm.h and libgdbm.a in $gdbmdir);
    280     AC_MSG_CHECKING(   looking for GDBM library in default locations)
    281   fi
    282 fi
    283 
    284 # look in default path and in /usr/local
    285 if test -z "$GDBM_INCLUDE" ; then
    286   # try in system directory
    287   AC_TRY_COMPILE(
    288   [#include <gdbm.h>
    289 ],
    290   [],
    291   success=yes,
    292   success=no
    293   )
    294 
    295   if test $success = "no"; then
    296 # last chance - look in /usr/local (eg FreeBSD)
    297     GDBM_LIBPATH=-L/usr/local/lib
    298     GDBM_INCLUDE=-I/usr/local/include
    299     ac_save_CXXFLAGS="$CXXFLAGS"
    300     ac_save_LIBS="$LIBS"
    301       CXXFLAGS="$CXXFLAGS -I/usr/local/include"
    302       LIBS="$LIBS -L/usr/local/lib -lgdbm"
    303       AC_TRY_LINK(
    304     [#include <gdbm.h>
    305 #include <stdio.h>
    306     ],
    307     [printf("%s",gdbm_version);],
    308     success=/usr/local,
    309     success=no
    310       )
    311       CXXFLAGS=$ac_save_CXXFLAGS
    312       LIBS=$ac_save_LIBS
    313   fi
    314 
    315   AC_MSG_RESULT($success)
    316   if test $success = "no"; then
    317   AC_MSG_ERROR(GDBM Library not available - cannot install)
    318   fi
    319 fi
    320 dnl I don't think anything actually checks this define, but...
    321 AC_DEFINE(HAVE_LIBGDBM , 1)
    322 
    323 AC_SUBST(GDBM_LIBPATH)
    324 AC_SUBST(GDBM_INCLUDE)
    325247
    326248dnl
Note: See TracChangeset for help on using the changeset viewer.